package org.foxarmy.barcodescannerforemployees

//import com.google.mlkit.vision.codescanner.GmsBarcodeScannerOptions
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Toast
import androidx.fragment.app.Fragment
import com.google.mlkit.vision.barcode.common.Barcode
import com.google.mlkit.vision.codescanner.GmsBarcodeScannerOptions
import com.google.mlkit.vision.codescanner.GmsBarcodeScanning
import org.foxarmy.barcodescannerforemployees.databinding.AddProductFragmentBinding

/**
 * A simple [Fragment] subclass as the default destination in the navigation.
 */
class addProductFragment : Fragment() {

    private var _binding: AddProductFragmentBinding? = null

    // This property is only valid between onCreateView and
    // onDestroyView.
    private val binding get() = _binding!!

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {

        _binding = AddProductFragmentBinding.inflate(inflater, container, false)
        return binding.root

    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        binding.scanButton.setOnClickListener {
//            findNavController().navigate(R.id.action_FirstFragment_to_SecondFragment)
//            Toast.makeText(requireContext(), "Test", Toast.LENGTH_LONG).show()
            val options = GmsBarcodeScannerOptions.Builder()
                .setBarcodeFormats(
                    Barcode.FORMAT_EAN_13)
                .build()
            val scanner = GmsBarcodeScanning.getClient(requireContext())
            scanner.startScan()
                .addOnSuccessListener { barcode ->
                    // Task completed successfully
                    //Toast.makeText(requireContext(), barcode.rawValue, Toast.LENGTH_LONG).show()
                    binding.productName.setText(barcode.rawValue)
                }
                .addOnFailureListener { e ->
                    Toast.makeText(requireContext(), "Failed to scan barcode. Please, try again", Toast.LENGTH_LONG).show()
                }
        }
    }

    override fun onDestroyView() {
        super.onDestroyView()
        _binding = null
    }
}